-Update to f2c-19991025. This newer version contains several bug fixes

including (from f2c/changes)
  = permit long names in #line lines
  = minor tweaks to make some (C++) compilers happier
  = some casts for systems with 64-bit longs.
  = some fixes to format strings

-Add a -v (verbose) option to the f2c-f77 script.  This is (unfortunately)
 used by some GNU configure scripts (octave for example) for examining the
 fortran compiler behaviour.
This commit is contained in:
dmcmahill 1999-12-16 00:58:27 +00:00
parent 965940b10d
commit 5648c37653
12 changed files with 237 additions and 147 deletions

View file

@ -1,6 +1,6 @@
# $NetBSD: Makefile,v 1.5 1999/01/14 13:56:04 frueauf Exp $
# $NetBSD: Makefile,v 1.6 1999/12/16 00:58:27 dmcmahill Exp $
DISTNAME= f2c-19980913
DISTNAME= f2c-19991025
WRKSRC= ${WRKDIR}/f2c
CATEGORIES= lang
MASTER_SITES= ${MASTER_SITE_LOCAL}

View file

@ -1,3 +1,3 @@
$NetBSD: md5,v 1.5 1999/01/14 13:56:04 frueauf Exp $
$NetBSD: md5,v 1.6 1999/12/16 00:58:27 dmcmahill Exp $
MD5 (f2c-19980913.tar.gz) = b59e9e9c2e85788c8c8881557ce870e4
MD5 (f2c-19991025.tar.gz) = ab8e02a47c79a183f5881b275297fd00

View file

@ -1,12 +1,10 @@
$NetBSD: patch-sum,v 1.2 1999/11/23 21:12:12 dmcmahill Exp $
$NetBSD: patch-sum,v 1.3 1999/12/16 00:58:27 dmcmahill Exp $
MD5 (patch-aa) = f778f52d2eda5dedbd1f73460da49b5c
MD5 (patch-ab) = f0e04aaca0d81c1235d2a7b2555e73cb
MD5 (patch-ac) = d679ffe651e6378d6134bef8655a113d
MD5 (patch-ad) = 34ef8c1b13e93867d02a2196773e3217
MD5 (patch-ae) = 44a559d6bc12dc96301697d05cded510
MD5 (patch-af) = 903e70837b3f084d6d908550163c89eb
MD5 (patch-ag) = 5d5a56ce16ddfcdc140e8e4c98948198
MD5 (patch-ah) = a77b0cba835dccd791009014d186dfc5
MD5 (patch-ai) = ddc86de5eba0f4f96673da5f88e2a499
MD5 (patch-aa) = bacc4f81d3f1549b4f1bed03c922651c
MD5 (patch-ab) = f3367ece1c03ae7f55efe25c9aa1a6f2
MD5 (patch-ac) = 00bcec0f003263ab4c4d3b05dc92fb75
MD5 (patch-ad) = 2fcc81cb41f650e25e2c093aa210a093
MD5 (patch-ae) = 8547e4d9b2fe8e0ee6ca66193e6beaac
MD5 (patch-ag) = d138fd979e5a962a151fca8f53e32f39
MD5 (patch-ai) = f4effd483723e1688b60a4ab0fe33048
MD5 (patch-aj) = 150ae4c9e4da26cd1a9d2743000e4ed8

View file

@ -1,4 +1,4 @@
$NetBSD: patch-aa,v 1.5 1998/08/25 15:22:47 tv Exp $
$NetBSD: patch-aa,v 1.6 1999/12/16 00:58:27 dmcmahill Exp $
Add a top level Makefile
@ -17,12 +17,12 @@ Add a top level Makefile
+
+libF77.a:
+ #Making all in 'libF77'
+ cd libF77; make check; make all
+ cd libF77; make all
+ cp libF77/libF77.a libF77.a
+
+libI77.a:
+ #Making all in 'libI77'
+ cd libI77; make check; make libI77.a
+ cd libI77; make libI77.a
+ cp libI77/libI77.a libI77.a
+
+libf2c.a: libI77.a libF77.a
@ -55,4 +55,4 @@ Add a top level Makefile
+ ${BSD_INSTALL_MAN} ./f2c.0 ${PREFIX}/man/cat1
+
+f2c-f77: fc
+ sed 's!PREFIX!${PREFIX}!g' fc > f2c-f77
+ sed 's!@PREFIX@!${PREFIX}!g' fc > f2c-f77

View file

@ -1,13 +1,23 @@
$NetBSD: patch-ab,v 1.3 1998/08/25 08:54:07 agc Exp $
$NetBSD: patch-ab,v 1.4 1999/12/16 00:58:27 dmcmahill Exp $
Set optimisation level appropriately
--- src/makefile.orig Wed Feb 25 08:18:04 1998
+++ src/makefile Sun Jul 19 23:14:03 1998
Don't do additional checksums of the source (gets thrown
off by our patches, plus we already have files/md5)
--- ./src/makefile.orig Wed Feb 25 08:18:04 1998
+++ ./src/makefile Tue Dec 7 18:15:45 1999
@@ -3,5 +3,5 @@
.SUFFIXES: .c .o
CC = cc
-CFLAGS = -O
+CFLAGS = -O2
+CFLAGS = -O2
SHELL = /bin/sh
YACC = yacc
@@ -25,5 +25,5 @@
OBJECTS = $(OBJECTSd) $(MALLOC)
-all: xsum.out f2c
+all: f2c
f2c: $(OBJECTS)

View file

@ -1,17 +1,24 @@
$NetBSD: patch-ac,v 1.5 1999/11/23 21:12:13 dmcmahill Exp $
$NetBSD: patch-ac,v 1.6 1999/12/16 00:58:27 dmcmahill Exp $
Much cleanup of the script. Added various options such as
-O for optimization
-fPIC for PIC support
-Wall for gcc warnings
-Wl, for additional linker arguments
-v, for verbose output
--- ./fc.orig Tue May 16 17:37:49 1995
+++ ./fc Tue Nov 23 16:08:52 1999
@@ -1,26 +1,54 @@
--- fc.orig Fri Apr 16 09:24:46 1999
+++ fc Tue Dec 7 19:13:04 1999
@@ -1,101 +1,125 @@
#!/bin/sh
-PATH=/v/bin:/bin:/usr/bin
+PATH=/bin:/usr/bin:PREFIX/bin
-
-# NOTE: you may need to adjust the references to /usr/local/... below
-# (or remove them if they're not needed on your system).
-# See also the comments starting with ### below.
-
-PATH=/usr/local/bin:/bin:/usr/bin
-
+PATH=/bin:/usr/bin:@PREFIX@/bin
+#USAGESTART
# f77-style shell script to compile and load fortran, C, and assembly codes
-
@ -30,19 +37,18 @@ Much cleanup of the script. Added various options such as
+#
# -C Check that subscripts are in bounds.
-
-# -S leave assembler output on file.s
-
+#
+# -D def passed to C compiler (for .c files)
+# or to cpp (for .F files)
+#
+# -fPIC turn on the -fPIC flag to the c compiler
+#
+# -g produce debugging information.
+#
+# -I includepath passed to C compiler (for .c files)
+# or to cpp (for .F files), and to f2c
+#
# -l library (passed to ld).
-
+# -l library (passed to ld).
+#
+# -L includepath passed to ld. Library include path
+#
@ -60,28 +66,52 @@ Much cleanup of the script. Added various options such as
+#
+# -P emit .P files
+#
+# -S leave assembler output on file.s
# -S leave assembler output on file.s
-
-# -L libdir (passed to ld)
-
-# -l library (passed to ld)
-
+#
# -u complain about undeclared variables
-
+#
+# -U def passed to C compiler (for .c files) or to
+# cpp (for .F files) to remove def
+#
+# -v be verbose. Output is produced on the standard
+# error output.
+#
# -w omit all warning messages
-
+#
# -w66 omit Fortran 66 compatibility warning messages
-
-# files FORTRAN source files ending in .f .
+#
+# -Wall turn on the -Wall flag to the c compiler
+#
+# -Wl, Pass options to the linker. For example, -Wl,-R/usr/X11R6/lib
+# -Wl, Pass options to the linker. For example,
+# -Wl,-R/usr/X11R6/lib
+# passes "-R/usr/X11R6/lib" to the linker
+#
# files FORTRAN source files ending in .f .
+# files FORTRAN source files ending in .f
# FORTRAN with cpp preprocessor directives
@@ -30,21 +58,18 @@
# efl source files ending in .e .
# RATFOR files ending in .r .
-# ending in .F .
-# C source files ending in .c .
-# Assembly language files ending in .s .
-# efl source files ending in .e .
-# RATFOR files ending in .r .
-# Object files ending in .o .
-# Shared libraries ending in .so .
-
+# ending in .F
+# C source files ending in .c
+# Assembly language files ending in .s
+# efl source files ending in .e
+# RATFOR files ending in .r
+# Object files ending in .o
+# Shared libraries ending in .so
+#
# f2c prototype files ending in .P ; such
# files only affect subsequent files.
@ -91,37 +121,53 @@ Much cleanup of the script. Added various options such as
-
-# -I includepath passed to C compiler (for .c files)
-# or to cpp (for .F files), and to f2c
-
-# -Ntnnn allow nnn entries in table t
-
-# -P emit .P files
+# if no input arguments, then spit out the help stuff from the beginning
+# of this file.
+if [ $# = 0 ]; then
+ cat $0 | awk '$1 == "#USAGESTART", $1 == ""' | tail +2 | sed 's/#//g'
+fi
-# -Ntnnn allow nnn entries in table t
-
-# -P emit .P files
-# -U def passed to C compiler (for .c files)
-# or to cpp (for .F files) to remove def
s=/tmp/stderr_$$
t=/tmp/f77_$$.o
-CC=${CC_f2c:-'cc -common'}
-### On some systems (e.g., IRIX), -common prevents complaints
-### about multiple definitions of COMMON blocks.
-#CC=${CC_f2c:-'cc -common'}
-CC=${CC_f2c:-'cc'}
+CC=${CC_f2c:-'cc '}
EFL=${EFL:-efl}
EFLFLAGS=${EFLFLAGS:-'system=portable deltastno=10'}
@@ -53,30 +78,34 @@
F2C=${F2C:-f2c}
F2CFLAGS=${F2CFLAGS:='-ARw8 -Nn802 -Nx400'}
RATFOR=${RATFOR:-ratfor}
RFLAGS=${RFLAGS:-'-6&'}
-F2C=${F2C:-/usr/local/bin/f2c}
-F2CFLAGS=${F2CFLAGS:='-ARw8 -Nn802 -Nq300 -Nx400'}
-CPP=${CPP:-/lib/cpp}
+F2C=${F2C:-@PREFIX@/bin/f2c}
+F2CFLAGS=${F2CFLAGS:='-ARw8 -Nn802 -Nx400'}
+CPP=${CPP:-/usr/bin/cpp}
rc=0
trap "rm -f $s $t; exit \$rc" 0
OUTF=a.out
-OUTO=
cOPT=1
-set -- `getopt cCD:gI:N:Oo:Suw6 "$@"`
-set -- `getopt cCD:gI:L:N:OU:o:Suw6 "$@"`
-case $? in 0);; *) rc=$?; exit;; esac
-CPPFLAGS=${CPPFLAGS:-'-I/usr/local/include'}
-CFLAGSF2C=${CFLAGSF2C:-'-I/usr/local/include'}
-OFILES=
+ARGS=
CPPFLAGS=
+CFLAGS=-IPREFIX/include
+CPPFLAGS=
+CFLAGS=-I@PREFIX@/include
+LIBS=
+FLIBS="-L@PREFIX@/lib -lf2c -lm"
+VERBOSE=no
+
while
- test X"$1" != X--
+ test -n "$1"
@ -152,9 +198,12 @@ Much cleanup of the script. Added various options such as
+ G="-g"
shift;;
@@ -86,11 +115,37 @@
@@ -105,61 +129,95 @@
;;
- -U) CPPFLAGS="$CPPFLAGS -U$2"
- shift 2
- ;;
+ -I*) CFLAGS="$CFLAGS $1"
+ shift 1
+ ;;
@ -166,14 +215,15 @@ Much cleanup of the script. Added various options such as
+ -L*) LIBS="$LIBS $1"
+ shift 1
+ ;;
+
-o) OUTF=$2
- OUTO=$2
shift 2
;;
- -O) case $2 in -1) O=-O1;; -2) O=-O2;; -3) O=-O3;; *) O=-O;; esac
- case $O in -O);; *) shift;; esac
- CFLAGS="$CFLAGS $O"
- CFLAGS="$CFLAGS $O -Olimit 2000"
+# -N) F2CFLAGS="$F2CFLAGS $1""$2"
+# shift 2
+# ;;
@ -181,38 +231,54 @@ Much cleanup of the script. Added various options such as
+
+ -O|-O1|-O2|-O3)
+ CFLAGS="$CFLAGS $1"
+ shift
+ ;;
+
shift
;;
- -u) F2CFLAGS="$F2CFLAGS -u"
+ -P) F2CFLAGS="$F2CFLAGS $1"
+ shift
+ ;;
+
shift
;;
- -w) F2CFLAGS="$F2CFLAGS -w"
- case $2 in -6) F2CFLAGS="$F2CFLAGS"66; shift
- case $2 in -6) shift;; esac;; esac
+
+ -S) CFLAGS="$CFLAGS -S"
+ cOPT=0
shift
;;
@@ -101,30 +156,38 @@
-w) F2CFLAGS="$F2CFLAGS -w"
- case $2 in -6) F2CFLAGS="$F2CFLAGS"66; shift
- case $2 in -6) shift;; esac;; esac
- -L) OFILES="$OFILES $1$2"
- shift 2
- case $cOPT in 1) cOPT=2;; esac
+ -u) F2CFLAGS="$F2CFLAGS -u"
+ shift
;;
- -L*) OFILES="$OFILES $1"
+ -U*) CPPFLAGS="$CPPFLAGS $1"
+ shift;;
+
+ -v) VERBOSE=yes
shift
- case $cOPT in 1) cOPT=2;; esac
;;
- -N) F2CFLAGS="$F2CFLAGS $1""$2"
- shift 2
+ -w66) F2CFLAGS="$F2CFLAGS -w66"
+ -w) F2CFLAGS="$F2CFLAGS -w"
+ shift
;;
- -P) F2CFLAGS="$F2CFLAGS $1"
+ -Wall) CFLAGS="$CFLAGS -Wall"
+ -w66) F2CFLAGS="$F2CFLAGS -w66"
shift
;;
-
+ -Wall) CFLAGS="$CFLAGS -Wall"
+ shift
+ ;;
- -S) CFLAGS="$CFLAGS -S"
- cOPT=0
+ -Wl*) CFLAGS="$CFLAGS $1"
@ -231,6 +297,7 @@ Much cleanup of the script. Added various options such as
esac
done
-shift
-case $cOPT in 0) case $OUTO in '');; *) CFLAGS="$CFLAGS -o $OUTO";; esac;; esac
+
+if test $cOPT = 0; then
+ if test "$OUTF" != "a.out"; then
@ -239,28 +306,97 @@ Much cleanup of the script. Added various options such as
+fi
+set -- $ARGS
+
+if test $VERBOSE = "yes"; then
+ F2CVER=`$F2C < /dev/null | awk '/.*version/ {print $6" "$7}'`
+ echo "f2c-f77:"
+ echo "F2C= $F2C, $F2CVER"
+ echo "CC= $CC"
+ echo "CFLAGS= $CFLAGS"
+ echo "CPPFLAGS= $CPPFLAGS"
+ echo "FLIBS= $FLIBS"
+fi
+
while
test -n "$1"
@@ -232,5 +295,20 @@
@@ -171,4 +229,7 @@
case "$1" in
*.f) b=`basename $1 .f`
+ if test $VERBOSE = "yes"; then
+ echo "$F2C $F2CFLAGS $1"
+ fi
$F2C $F2CFLAGS $1
rc=$?
@@ -178,4 +239,7 @@
rc=$?
case $rc in 0)
+ if test $VERBOSE="yes"; then
+ echo "$F2C $F2CFLAGS <$b.i >$b.c"
+ fi
$F2C $F2CFLAGS <$b.i >$b.c
rc=$?
@@ -185,5 +249,5 @@
esac
case $rc in 0);; *) exit;; esac
- $CC -c $CFLAGSF2C $CFLAGS $b.c 2>$s
+ $CC -c $CFLAGS $b.c 2>$s
rc=$?
sed '/parameter .* is not referenced/d;/warning: too many parameters/d' $s 1>&2
@@ -200,5 +264,5 @@
$F2C $F2CFLAGS $b.f
case $? in 0);; *) rc=$?; exit;; esac
- $CC -c $CFLAGSF2C $CFLAGS $b.c
+ $CC -c $CFLAGS $b.c
case $? in 0);; *) rc=$?; exit;; esac
OFILES="$OFILES $b.o"
@@ -213,5 +277,5 @@
$F2C $F2CFLAGS $b.f
case $? in 0);; *) rc=$?; exit;; esac
- $CC -c $CFLAGSF2C $CFLAGS $b.c
+ $CC -c $CFLAGS $b.c
case $? in 0);; *) rc=$?; exit;; esac
OFILES="$OFILES $b.o"
@@ -232,5 +296,5 @@
echo $1: 1>&2
OFILE=`basename $1 .c`.o
- $CC -c $CFLAGSF2C $CPPFLAGS $CFLAGS $1
+ $CC -c $CPPFLAGS $CFLAGS $1
rc=$?; case $rc in 0);; *) rc=$?; exit;; esac
OFILES="$OFILES $OFILE"
@@ -248,10 +312,10 @@
shift
;;
- -[lL])
- OFILES="$OFILES $1$2"
+ -l)
+ OFILES="$OFILES -l$2"
shift 2
case $cOPT in 1) cOPT=2;; esac
;;
- -[lL]*)
+ -l*)
OFILES="$OFILES $1"
shift
@@ -259,6 +323,5 @@
;;
-o)
- case $cOPT in 0) CFLAGS="$CFLAGS -o $2";; *) OUTF=$2;; esac
- shift 2;;
+ OUTF=$2; shift 2;;
*.P)
F2CFLAGS="$F2CFLAGS $1"
@@ -273,9 +336,11 @@
done
-case $cOPT in 2) $CC -o $OUTF -u MAIN__ $OFILES -lf2c -lm;; esac
-### On some (IRIX) systems, -Wl,-dont_warn_unused prevents complaints
-### about unnecessary -l options.
+case $cOPT
+in
+ 2) $CC $CFLAGS -o $OUTF -u _MAIN__ $OFILES $LIBS -LPREFIX/lib -lf2c -lm
+ 2) $CC $CFLAGS -o $OUTF -u _MAIN__ $OFILES $LIBS $FLIBS
+ ;;
+esac
+
-#case $cOPT in 2) $CC -Wl,-dont_warn_unused -o $OUTF -u MAIN__ -L/usr/local/lib $OFILES -lf2c -lm;; esac
-case $cOPT in 2) $CC -o $OUTF -u MAIN__ -L/usr/local/lib $OFILES -lf2c -lm;; esac
rc=$?
exit $rc
+
+
+
+
+
+
+
+
+
+

View file

@ -1,10 +1,10 @@
$NetBSD: patch-ad,v 1.3 1998/08/25 08:54:07 agc Exp $
$NetBSD: patch-ad,v 1.4 1999/12/16 00:58:27 dmcmahill Exp $
Name libraries correctly
--- f2c.1t.orig Sat May 16 17:16:53 1998
+++ f2c.1t Thu Jul 9 07:54:55 1998
@@ -333,12 +333,15 @@
--- f2c.1t.orig Tue Sep 8 10:16:48 1998
+++ f2c.1t Tue Dec 7 17:24:23 1999
@@ -334,12 +334,15 @@
output file
.TP
-.F /usr/include/f2c.h

View file

@ -1,28 +1,11 @@
$NetBSD: patch-ae,v 1.3 1998/08/25 08:54:07 agc Exp $
$NetBSD: patch-ae,v 1.4 1999/12/16 00:58:27 dmcmahill Exp $
Omit any package-modified files from the distributed checksum
(the pkgsrc checksum is still valid)
--- libF77/makefile.orig Sun Jul 19 22:58:11 1998
+++ libF77/makefile Sun Jul 19 23:11:54 1998
--- ./libF77/makefile.orig Tue Dec 7 17:52:36 1999
+++ ./libF77/makefile Tue Dec 7 18:03:51 1999
@@ -2,5 +2,5 @@
CC = cc
SHELL = /bin/sh
-CFLAGS = -O
+CFLAGS = -O2 -DNO_ONEXIT
+CFLAGS = -Wcast-align -O2 -DNO_ONEXIT
# If your system lacks onexit() and you are not using an
@@ -82,5 +82,5 @@
check:
- xsum F77_aloc.c Notice README Version.c abort_.c c_abs.c c_cos.c \
+ ../src/xsum F77_aloc.c Notice README Version.c abort_.c c_abs.c c_cos.c \
c_div.c c_exp.c c_log.c c_sin.c c_sqrt.c cabs.c d_abs.c d_acos.c \
d_asin.c d_atan.c d_atn2.c d_cnjg.c d_cos.c d_cosh.c d_dim.c \
@@ -93,5 +93,5 @@
i_abs.c i_dim.c i_dnnt.c i_indx.c i_len.c i_mod.c i_nint.c \
i_sign.c iargc_.c l_ge.c l_gt.c l_le.c l_lt.c lbitbits.c lbitshft.c \
- main.c makefile pow_ci.c pow_dd.c pow_di.c pow_hh.c pow_ii.c \
+ main.c pow_ci.c pow_dd.c pow_di.c pow_hh.c pow_ii.c \
pow_qq.c pow_ri.c pow_zi.c pow_zz.c qbitbits.c qbitshft.c \
r_abs.c r_acos.c r_asin.c r_atan.c r_atn2.c \

View file

@ -1,12 +0,0 @@
$NetBSD: patch-af,v 1.3 1998/08/25 08:54:07 agc Exp $
Adjust for pkgsrc-related changes
--- libF77/libF77.xsum.orig Thu Jul 9 08:25:14 1998
+++ libF77/libF77.xsum Thu Jul 9 08:25:31 1998
@@ -75,5 +75,4 @@
lbitshft.c ec57bf21 191
main.c 6eed57a 2152
-makefile e48bc2b8 4031
pow_ci.c f593b0b9 345
pow_dd.c e451857d 209

View file

@ -1,24 +1,11 @@
$NetBSD: patch-ag,v 1.3 1998/08/25 08:54:08 agc Exp $
$NetBSD: patch-ag,v 1.4 1999/12/16 00:58:28 dmcmahill Exp $
Set optimisation level appropriately, and omit modified
files from distributed checksum
--- libI77/makefile.orig Sun Jul 19 22:58:35 1998
+++ libI77/makefile Sun Jul 19 23:13:08 1998
--- ./libI77/makefile.orig Tue Dec 7 17:52:41 1999
+++ ./libI77/makefile Tue Dec 7 18:05:10 1999
@@ -1,5 +1,5 @@
.SUFFIXES: .c .o
CC = cc
-CFLAGS = -O
+CFLAGS = -O2
+CFLAGS = -Wcast-align -O2
SHELL = /bin/sh
@@ -96,7 +96,7 @@
check:
- xsum Notice README Version.c backspace.c close.c dfe.c dolio.c \
+ ../src/xsum Notice README Version.c backspace.c close.c dfe.c dolio.c \
due.c endfile.c err.c f2ch.add fio.h fmt.c fmt.h fmtlib.c fp.h \
- ftell_.c iio.c ilnw.c inquire.c lio.h lread.c lwrite.c makefile \
+ ftell_.c iio.c ilnw.c inquire.c lio.h lread.c lwrite.c \
open.c rawio.h rdfmt.c rewind.c rsfe.c rsli.c rsne.c sfe.c sue.c \
typesize.c uio.c util.c wref.c wrtfmt.c wsfe.c wsle.c wsne.c \

View file

@ -1,12 +0,0 @@
$NetBSD: patch-ah,v 1.3 1998/08/25 08:54:08 agc Exp $
Omit pkgsrc-modified files from distributed checksum
--- libI77/libI77.xsum.orig Thu Jul 9 08:26:43 1998
+++ libI77/libI77.xsum Thu Jul 9 08:27:14 1998
@@ -22,5 +22,4 @@
lread.c 1d81233c 13010
lwrite.c 16866b71 4478
-makefile 1720cb4d 2278
open.c f7d34487 5504
rawio.h 1ab49f7c 718

View file

@ -1,4 +1,4 @@
$NetBSD: patch-ai,v 1.1 1999/01/14 13:56:04 frueauf Exp $
$NetBSD: patch-ai,v 1.2 1999/12/16 00:58:28 dmcmahill Exp $
required to make
sizeof(integer) == sizeof(real)
@ -6,8 +6,8 @@ and
sizeof(logical) == sizeof(real)
(per f2c/readme)
--- f2c.h.orig Wed Jan 13 17:42:45 1999
+++ f2c.h Wed Jan 13 17:44:21 1999
--- f2c.h.orig Tue Sep 7 13:46:24 1999
+++ f2c.h Tue Dec 7 18:08:26 1999
@@ -8,5 +8,9 @@
#define F2C_INCLUDE
@ -16,7 +16,7 @@ sizeof(logical) == sizeof(real)
+#else
typedef long int integer;
+#endif
typedef unsigned long uinteger;
typedef unsigned long int uinteger;
typedef char *address;
@@ -16,5 +20,9 @@
typedef struct { real r, i; } complex;